-- 联合下推增加携带序列号开关
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSISV_UNIONPUSH' AND KSQL_COL_NAME ='FISCARRYSN')
ALTER TABLE T_MSISV_UNIONPUSH ADD (FISCARRYSN CHAR(1) DEFAULT '0' NOT NULL );

-- 联合下推匹配关系
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSISV_UNIONPUSH' AND KSQL_COL_NAME ='FMATCHMETHOD')
ALTER TABLE T_MSISV_UNIONPUSH ADD (FMATCHMETHOD CHAR(1) DEFAULT 'A' NOT NULL );

-- 联合下推赋值字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSISV_PUASSIGNENTRY' AND KSQL_COL_NAME ='FASSIGNFORMULA')
ALTER TABLE T_MSISV_PUASSIGNENTRY ADD (FASSIGNFORMULA NVARCHAR(255) DEFAULT ' ' NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSISV_PUASSIGNENTRY' AND KSQL_COL_NAME ='FASSIGNFORMULAJSON')
ALTER TABLE T_MSISV_PUASSIGNENTRY ADD (FASSIGNFORMULAJSON NVARCHAR(255) DEFAULT ' ' NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSISV_PUASSIGNENTRY' AND KSQL_COL_NAME ='FASSIGNFORMULAJSON_TAG')
ALTER TABLE T_MSISV_PUASSIGNENTRY ADD (FASSIGNFORMULAJSON_TAG NCLOB);